#ifndef COMETRFAPP_RATEPROVIDER_HPP
#define COMETRFAPP_RATEPROVIDER_HPP

#include "config.hpp"


namespace rfaclient {

    struct RfaRateSettings {
        std::string sessionName_;
        unsigned dispatchTimeout_;
        std::string serviceName_;
        std::string itemTemplate_;
        std::string bidField_;
        std::string askField_;
        std::string valueDateField_;
    };

    RateProviderPtr
    createRfaRateProvider(const RfaRateSettings& settings);
}

#endif // COMETRFAPP_RATEPROVIDER_HPP
