###################################################
### chunk number 1: 
###################################################
dyn.load("RfaClient")


###################################################
### chunk number 2: 
###################################################
rsub <- function(time, items, func, sessionName, config, debug) {
	.Call("subscribe", as.integer(time), items, func , sessionName, config, debug)
}


###################################################
### chunk number 3: 
###################################################
items <- list()
fields <- c("BID","ASK","TIMCOR")
items[[1]] <- c("IDN_SELECTFEED", "GBP=", fields)
items[[2]] <- c("IDN_SELECTFEED", "JPY=", fields)


###################################################
### chunk number 4: 
###################################################
callback <- function(df) {
    print(paste("Received an update for",df$ITEM, ", update time=", df$TIMCOR))
}


###################################################
### chunk number 5: 
###################################################
rsub(5000, items, callback, "clientSession", "rfa.cfg", FALSE)


###################################################
### chunk number 6: 
###################################################
# Create a class		
setClass("rfa", representation(config="character", session="character", debug="logical"))

# Add a subscribe() function
sub <- function(r, time, items, func) {}
setMethod("sub", "rfa", 
    function(r, time, items, func) { 
        rsub(time, items, func, r@session, r@config, r@debug)
    }   
)



r1 <- new("rfa", config="rfa.cfg", session="clientSession", debug=FALSE)
r2 <- new("rfa", config="rfa2.cfg", session="mySession", debug=TRUE)


