#ifndef rfaclientRFAPP_APPLICATION_HPP
#define rfaclientRFAPP_APPLICATION_HPP

#include <string>
#include "config.hpp"
#include "logger.hpp"
#include "utility.hpp"

namespace rfaclient {

    class  RfaApplication {

        AutoContext context_;
        ConfigDatabasePtr configDatabase_;

    public:
        RfaApplication(const std::string& configPath,
                       const std::string& appendixPath,
                       const std::string& enumTypePath,
					   bool initialLoad);


		const std::string getConfigValue(const std::string key) const;

    };
}

#endif // rfaclientRFAPP_APPLICATION_HPP
