#ifndef rfaclientRFAPP_LOGGER_HPP
#define rfaclientRFAPP_LOGGER_HPP

#include "utility.hpp"

#include <Common/Client.h>

#include <boost/noncopyable.hpp>

namespace rfaclient {

    class  RfaLoggerClient : public rfa::common::Client {
    public:
        virtual
        ~RfaLoggerClient() ;

        void
        processEvent(const rfa::common::Event& event);
    };

    class  RfaLogger : private boost::noncopyable {
        ApplicationLoggerPtr applicationLogger_;
        AppLoggerMonitorPtr appLoggerMonitor_;
        EventQueuePtr eventQueue_;
        RfaLoggerClient client_;
        Handle* handle_;
    public:
        ~RfaLogger() ;

        RfaLogger();
    };
}

#endif // rfaclientRFAPP_LOGGER_HPP
