#ifndef COMETRFAPP_PUBLISHER_HPP
#define COMETRFAPP_PUBLISHER_HPP

#include "utility.hpp"

#include <map>

namespace rfaclient {

    class RfaPublisher {
        SessionPtr session_;
        EventQueuePtr eventQueue_;
        rfa::common::Client& client_;
        MarketDataContributorPtr contributor_;
        Handle* handle_;
    public:
        ~RfaPublisher();

        RfaPublisher(const SessionPtr& session,
                     const EventQueuePtr& eventQueue,
                     rfa::common::Client& client);

        long
        publish(const std::string& serviceName, const std::string& itemName,
                const Fields& fields);
    };
}

#endif // COMETRFAPP_PUBLISHER_HPP
